Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 225732 - Merge Review: epiphany
Summary: Merge Review: epiphany
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Matthias Clasen
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-01-31 18:33 UTC by Nobody's working on this, feel free to take it
Modified: 2008-02-07 00:50 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-02-07 00:50:05 UTC
mclasen: fedora-review+


Attachments (Terms of Use)

Description Nobody's working on this, feel free to take it 2007-01-31 18:33:36 UTC
Fedora Merge Review: epiphany

http://cvs.fedora.redhat.com/viewcvs/devel/epiphany/
Initial Owner: caillon@redhat.com

Comment 1 Matthias Clasen 2007-11-15 04:33:12 UTC
rpmlint output:

[mclasen@localhost devel]$ rpmlint i386/epiphany-
epiphany-2.20.1-4.fc9.i386.rpm
epiphany-debuginfo-2.20.1-4.fc9.i386.rpm
epiphany-devel-2.20.1-4.fc9.i386.rpm
[mclasen@localhost devel]$ rpmlint i386/epiphany-2.20.1-4.fc9.i386.rpm 
epiphany.i386: W: non-conffile-in-etc /etc/gconf/schemas/epiphany-fonts.schemas
epiphany.i386: W: non-conffile-in-etc /etc/gconf/schemas/epiphany-lockdown.schemas
epiphany.i386: W: non-conffile-in-etc /etc/gconf/schemas/epiphany-pango.schemas
epiphany.i386: W: non-conffile-in-etc /etc/gconf/schemas/epiphany.schemas

This is common practise, waived

epiphany.i386: W: invalid-license GFDL+

This should be GFDL, I think


[mclasen@localhost devel]$ rpmlint i386/epiphany-devel-2.20.1-4.fc9.i386.rpm 
epiphany-devel.i386: W: no-documentation
epiphany-devel.i386: W: invalid-license GFDL+

Ditto

package name: ok
spec name: ok
packaging guidelines:
 - description should be capitalized
 - mixture of rm and %{__rm}
 - -devel should require gtk-doc and pygtk2-devel for directory ownership 
license: ok
license field: see above
license file: ok
spec file language: ok
spec file readable: yes
upstream sources: ok
buildable: yes
excludearch: n/a
buildrequires: ok
locale handling: ok
shared libs: n/a
relocatable: n/a
directory ownership: see above
%files: ok
permissions: ok
%clean: ok
consistent macro use: see above
permissible content: ok
large docs: n/a
%doc content: ok
headers: ok
static libs: n/a
pc files: ok
shared libs: n/a
devel package: ok
libtool archives: ok
gui app: ok
directory ownership: see above
%install: ok
utf8 filenames: ok







Comment 2 Matthias Clasen 2008-02-07 00:46:29 UTC
I've done the remaining cosmetic chances, so the package is ready for approval,
methinks.

Approved.


Note You need to log in before you can comment on or make changes to this bug.